import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { OpenapiViewerService } from '../services/openapi-viewer.service';
import { CallbackObject, ExampleObject, HeaderObject, LinkObject, ParameterObject, RequestBodyObject, ResponseObject, SchemaObject, SecuritySchemeObject } from 'openapi3-ts';
import { OavSettings } from '../models/openapi-viewer.settings';
interface DefinitionCategory {
    name: string;
    label: string;
    definitions: DefinitionItem[];
}
interface DefinitionItem {
    name: string;
    schema?: SchemaObject;
    response?: ResponseObject;
    parameter?: ParameterObject;
    example?: ExampleObject;
    requestBody?: RequestBodyObject;
    header?: HeaderObject;
    securityScheme?: SecuritySchemeObject;
    link?: LinkObject;
    callback?: CallbackObject;
}
export declare class ModelsViewComponent implements OnInit, OnDestroy {
    private openApiService;
    private oavSettings;
    private cd;
    categories: DefinitionCategory[];
    private sub;
    constructor(openApiService: OpenapiViewerService, oavSettings: OavSettings, cd: ChangeDetectorRef);
    get showRaw(): boolean;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
export {};
