import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { OavRequest } from '../../models/openapi-viewer.model';
import { HttpErrorResponse, HttpHeaders, HttpResponse } from '@angular/common/http';
declare type DisplayMode = 'text' | 'json' | 'xml' | 'download';
export declare class RequestViewComponent implements OnInit, OnDestroy {
    request: OavRequest;
    dismiss: EventEmitter<any>;
    blob: Blob;
    httpHeaders: HttpHeaders;
    body: string;
    headers: string;
    displayLimitBytes: number;
    displayMode: DisplayMode;
    error: any;
    private destroy;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    loadResponse(): void;
    setErrorBody(err: HttpErrorResponse): Promise<void>;
    updateDisplayMode(mimeType: string): void;
    setBody(response: HttpResponse<any>): Promise<void>;
    setHeaders(headers: HttpHeaders): void;
    getDuration(): number;
    doDismiss(): void;
    download(): void;
}
export {};
