import { ChangeDetectorRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { AceConfigInterface } from 'ngx-ace-wrapper';
import 'brace';
import 'brace/mode/json';
import 'brace/mode/xml';
export declare class CodeInputComponent implements OnChanges, ControlValueAccessor, OnInit, OnDestroy {
    private cd;
    config: AceConfigInterface;
    disabled: boolean;
    value: string;
    readonly: boolean | string;
    mode: 'json' | 'xml' | 'text';
    minLines: number;
    maxLines: number;
    schema: any;
    errors: string[];
    private writing;
    private validate;
    private changes;
    private onChange;
    private onTouched;
    constructor(cd: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    updateConfig(): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    writeValue(obj: string): void;
    updateValue(value: string): void;
    checkValue(): void;
}
